Bug 587004 - Cursor completly hides the glyph underneath it
Cursor completly hides the glyph underneath it
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Karel Klíč
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-28 12:39 EDT by Rui Matos
Modified: 2013-03-03 18:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 11:56:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 27950 None None None Never

  None (edit)
Description Rui Matos 2010-04-28 12:39:28 EDT
Package version: emacs-23.1.94-2.fc13.i686

The emacs cursor stays black which hides the glyph that it is on. Even customizing the cursor face setting it to inverse video doesn't fix the issue.
Comment 1 Rui Matos 2010-05-03 15:19:24 EDT
This seems to be an intel driver bug on this specific graphics hardware. I've reported it upstream.
Comment 2 Karel Klíč 2010-05-20 09:50:25 EDT
Hello Rui,

I am closing this bug as CLOSED-UPSTREAM, as the bug is not in Emacs.
Thank you for investigating it and reporting upstream.
Comment 3 Ales Kozumplik 2010-05-26 08:06:09 EDT
This is actually quite annoying.

Rui, please can you provide a link to the Intel bug? And do you happen to know why this wasn't happening in F12?

Thanks,
Ales
Comment 4 Ales Kozumplik 2010-05-26 08:06:54 EDT
(Reopened, so I can request additional information. I think someone would open this sooner or later anyway).
Comment 5 Rui Matos 2010-05-26 09:11:17 EDT
(In reply to comment #3)
> This is actually quite annoying.
> 
> Rui, please can you provide a link to the Intel bug?

It's linked here as an External Bug:

http://bugs.freedesktop.org/show_bug.cgi?id=27950

> And do you happen to know
> why this wasn't happening in F12?

No, but since this seems specific to this graphics hardware (Intel Arrandale) and I have never had F12 installed on this laptop I don't know if it didn't happen there.

I say it's specific to this hardware because I've asked on IRC and other people with Intel graphics didn't see the issue.
Comment 6 Ales Kozumplik 2010-05-26 11:02:19 EDT
> > Rui, please can you provide a link to the Intel bug?
> 
> It's linked here as an External Bug:
> 
> http://bugs.freedesktop.org/show_bug.cgi?id=27950

Thanks for the address.

> No, but since this seems specific to this graphics hardware (Intel Arrandale)
> and I have never had F12 installed on this laptop I don't know if it didn't
> happen there.

No, it was *not* occuring on F12.

Ales
Comment 7 Rui Matos 2010-06-04 05:44:12 EDT
Ales, have you updated to emacs-23.2-1.fc13.i686 yet? It seems this issue is fixed with that emacs version.
Comment 8 Ales Kozumplik 2010-06-07 03:15:43 EDT
I just updated and the problem is gone. 

Eight times hooray!
Comment 9 Jonathan Underwood 2010-06-14 09:40:40 EDT
OK, I am actually reopening this, I still see the problem. This is on a machine with an intel graphics card:

00:02.0 VGA compatible controller: Intel Corporation 82Q963/Q965 Integrated Graphics Controller (rev 02)

Packages installed:

emacs-23.2-1.fc13.x86_64

$ rpm -qa | grep xorg
xorg-x11-drivers-7.3-14.fc13.x86_64
xorg-x11-drv-nouveau-0.0.16-6.20100423git13c1043.fc13.x86_64
xorg-x11-drv-acecad-1.4.0-3.fc13.x86_64
xorg-x11-drv-openchrome-0.2.904-2.fc13.x86_64
xorg-x11-drv-sis-0.10.2-2.fc13.x86_64
xorg-x11-drv-voodoo-1.2.3-2.fc13.x86_64
xorg-x11-apps-7.4-13.fc13.x86_64
xorg-x11-proto-devel-7.4-36.fc13.noarch
xorg-x11-drv-evdev-2.4.0-2.fc13.x86_64
xorg-x11-drv-tdfx-1.4.3-2.fc13.x86_64
xorg-x11-drv-trident-1.3.3-2.fc13.x86_64
xorg-x11-drv-rendition-4.2.2-5.fc13.x86_64
xorg-x11-drv-penmount-1.4.0-6.fc13.x86_64
xorg-x11-fonts-ISO8859-1-75dpi-7.2-9.fc12.noarch
xorg-x11-xkb-utils-7.4-7.fc13.x86_64
xorg-x11-server-Xorg-1.8.0-12.fc13.x86_64
xorg-x11-drv-v4l-0.2.0-4.fc13.1.x86_64
xorg-x11-drv-i128-1.3.3-2.fc13.x86_64
xorg-x11-xinit-1.0.9-16.fc13.x86_64
xorg-x11-drv-intel-2.11.0-4.fc13.x86_64
xorg-x11-drv-savage-2.3.1-2.fc13.x86_64
xorg-x11-server-common-1.8.0-12.fc13.x86_64
xorg-x11-utils-7.4-9.fc13.x86_64
xorg-x11-fonts-misc-7.2-9.fc12.noarch
xorg-x11-drv-synaptics-1.2.2-6.fc13.x86_64
xorg-x11-drv-apm-1.2.2-1.fc12.x86_64
xorg-x11-drv-mouse-1.5.0-4.fc13.x86_64
xorg-x11-drv-siliconmotion-1.7.3-3.20100122.fc13.x86_64
xorg-x11-drv-vmmouse-12.6.9-2.fc13.x86_64
xorg-x11-drv-mutouch-1.2.1-6.fc13.x86_64
xorg-x11-drv-fpit-1.3.0-10.fc13.x86_64
xorg-x11-xauth-1.0.2-7.fc12.x86_64
xorg-x11-font-utils-7.2-11.fc13.x86_64
xorg-x11-drv-vmware-10.16.7-3.fc13.x86_64
xorg-x11-drv-sisusb-0.9.3-2.fc13.x86_64
xorg-x11-drv-keyboard-1.4.0-4.fc13.x86_64
xorg-x11-drv-mga-1.4.11-2.fc13.x86_64
xorg-x11-drv-aiptek-1.3.0-3.fc13.x86_64
xorg-x11-drv-void-1.3.0-5.fc13.x86_64
xorg-x11-drv-s3virge-1.10.4-2.fc13.x86_64
xorg-x11-drv-elographics-1.2.3-6.fc13.x86_64
xorg-x11-drv-hyperpen-1.3.0-4.fc13.x86_64
xorg-x11-server-utils-7.4-16.fc13.x86_64
xorg-x11-drv-cirrus-1.3.2-2.fc13.x86_64
xorg-x11-drv-glint-1.2.4-2.fc13.x86_64
xorg-x11-drv-vesa-2.3.0-1.fc13.x86_64
xorg-x11-drv-fbdev-0.4.1-3.fc13.x86_64
xorg-x11-drv-dummy-0.3.3-2.fc13.x86_64
xorg-x11-fonts-ISO8859-1-100dpi-7.2-9.fc12.noarch
xorg-x11-drv-nv-2.1.15-5.fc13.x86_64
xorg-x11-drv-ast-0.89.9-1.fc12.x86_64
xorg-x11-drv-ati-6.13.0-1.fc13.x86_64
xorg-x11-drv-r128-6.8.1-3.fc13.x86_64
xorg-x11-drv-mach64-6.8.2-2.fc13.x86_64
xorg-x11-drv-i740-1.3.2-2.fc13.x86_64
xorg-x11-drv-wacom-0.10.6-3.fc13.x86_64
Comment 10 Rui Matos 2010-06-14 12:16:37 EDT
(In reply to comment #9)
> OK, I am actually reopening this, I still see the problem. This is on a machine
> with an intel graphics card:
> 
> 00:02.0 VGA compatible controller: Intel Corporation 82Q963/Q965 Integrated
> Graphics Controller (rev 02)
> 
> Packages installed:
> 
> emacs-23.2-1.fc13.x86_64

So, your hardware is different of mine and yours is a 64bit system while mine is 32.

Can you confirm that under a compositing manager you don't see the bug?
Comment 11 Jonathan Underwood 2010-06-14 12:24:24 EDT
(In reply to comment #10)
> So, your hardware is different of mine and yours is a 64bit system while mine
> is 32.
> 

Yes, that's right.

> Can you confirm that under a compositing manager you don't see the bug?    

Oh, interesting - yes, when I turn on "desktop effects" I no longer see the bug.
Comment 12 Rui Matos 2010-06-14 12:44:34 EDT
At this point I'd file the bug on upstream emacs. I've already closed the bug on the intel driver at freedesktop's bugzilla, but you could also re-open that one.
Comment 13 Bug Zapper 2011-06-02 10:45:25 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2011-06-27 11:56:28 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.